Package org.drinkless.tdlib

# Class TdApi.PassportAuthorizationForm

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.PassportAuthorizationForm

Enclosing class:
  `TdApi`

public static class TdApi.PassportAuthorizationForm extends TdApi.Object
Contains information about a Telegram Passport authorization form that was requested.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `id`
  Unique identifier of the authorization form.
  `String`
  `privacyPolicyUrl`
  URL for the privacy policy of the service; may be empty.
  `TdApi.PassportRequiredElement[]`
  `requiredElements`
  Telegram Passport elements that must be provided to complete the form.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PassportAuthorizationForm()`
  Contains information about a Telegram Passport authorization form that was requested.
  `PassportAuthorizationForm(int id, TdApi.PassportRequiredElement[] requiredElements, String privacyPolicyUrl)`
  Contains information about a Telegram Passport authorization form that was requested.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### id

    public int id
    Unique identifier of the authorization form.

  - ### requiredElements

    public TdApi.PassportRequiredElement[] requiredElements
    Telegram Passport elements that must be provided to complete the form.

  - ### privacyPolicyUrl

    public String privacyPolicyUrl
    URL for the privacy policy of the service; may be empty.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### PassportAuthorizationForm

    public PassportAuthorizationForm()
    Contains information about a Telegram Passport authorization form that was requested.

  - ### PassportAuthorizationForm

    public PassportAuthorizationForm(int id, TdApi.PassportRequiredElement[] requiredElements, String privacyPolicyUrl)
    Contains information about a Telegram Passport authorization form that was requested.
    Parameters:
      `id` - Unique identifier of the authorization form.
      `requiredElements` - Telegram Passport elements that must be provided to complete the form.
      `privacyPolicyUrl` - URL for the privacy policy of the service; may be empty.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR